#include "functions.h"


double sommaSpese(int codice, ComE *e, int dimE){
    
    double sum = 0.0;
    int i,cont = 0;
    
    for(i = 0; i< dimE ; ++i)
        if(codice == e[i].cod_condominio)
        {
            sum+=e[i].importo;
            cont++;
        }

    if(sum > 5000)
        sum*=0.9;
    else
        sum*=0.88;
    
    printf("la media netta è: %.3f\n", sum/cont);
    
    return sum;
            
}


void insert(char* fileName, char type)
{
    //SI SUPPONE CHE L'UTENTE INSERISCA I DATI CORRETTI
    
    ComE* e;
    ComE tempE;
    ComA tempA;
    
    FILE* fp = NULL;
    int cod_condominio = 0;

    int dim_e = 0,i;
    e = readComE(fileName,&dim_e);
    
    // Apertura del file di input
	if ((fp = fopen(fileName, "a")) == NULL) {
		printf("Impossibile aprire il file \"%s\"\n", fileName);
		exit(1);
	}

    printf("inserisci il codice condominio: ");
    scanf("%d", &cod_condominio);

    
    if(type=='A')
    {
        tempA.cod_condominio =cod_condominio;
        
        printf("inserisci la comunicazione [max 100ch]: ");
        scanf("%s",tempA.comunicazione);
        

        fprintf(fp,"A %d %s\n",tempA.cod_condominio, tempA.comunicazione);
    }
    else if(type == 'E')
    {
        tempE.cod_condominio = cod_condominio;
        
        printf("inserisci importo: ");
        scanf("%d", &tempE.importo);

        printf("inserisci descrizione: ");
        scanf("%s", tempE.descrizione);

        printf("inserisci l'anno: ");
        scanf("%d", &tempE.aa);

        printf("inserisci il mese: ");
        scanf("%d", &tempE.mm);

        printf("inserisci il giorno: ");
        scanf("%d", &tempE.gg);

        for(i = 0; i < dim_e;++i)
            if(e[i].aa == tempE.aa &&
               e[i].mm == tempE.mm &&
               e[i].gg == tempE.gg &&
               strcmp(e[i].descrizione,tempE.descrizione)==0)
            {
                printf("Esiste una comunicazione uguale\n");
                exit(1);
            }
        
        fprintf(fp,"E %d %d %s %d %d %d\n",tempE.cod_condominio, tempE.importo, tempE.descrizione, tempE.aa, tempE.mm, tempE.gg);

    }

    // chiusura del file
	fclose(fp);

}