#include "manager.h"
#include "functions.h"

int main(int argc, const char * argv[])
{
    Condomino* c;
    ComA* a;
    ComE* e;
    int dim_c, dim_a, dim_e;
    int i;

    
    c = readCondomini("condomini.txt", &dim_c);
    
    for(i =0; i<dim_c; ++i)
        printf("Condominio: %d, %d %s %d\n", c[i].cod_condominio,c[i].cap,c[i].indirizzo,c[i].civico);
    

    
    a= readComA("comunicazioni.txt",&dim_a);
    for(i =0; i<dim_a; ++i)
        printf("ComA: %d, %s\n", a[i].cod_condominio,a[i].comunicazione);
    
    e= readComE("comunicazioni.txt",&dim_e);
    for(i =0; i<dim_e; ++i)
        printf("ComE: %d %d %s %d/%d/%d\n",e[i].cod_condominio,(e[i]).importo, e[i].descrizione, (e[i]).aa,(e[i]).mm,(e[i]).gg);


    
    printf("\n Es 2:  Stampa Condominio\n");
    e = stampaCondominio(c, dim_c, a, dim_a, e, dim_e);
    
    printf("\n ES 2: ComE Ordinate\n");

    for(i =0; i<dim_e; ++i)
        printf("ComE: %d %d %s %d/%d/%d\n",e[i].cod_condominio,(e[i]).importo, e[i].descrizione, (e[i]).aa,(e[i]).mm,(e[i]).gg);

    
    printf("\n Es 3:  Somma Spese\n");
    printf("Spesa 25: %.2f\n", sommaSpese(25,e,dim_e));
    printf("Spesa 34: %.2f\n", sommaSpese(34,e,dim_e));

    printf("\n Es 4:  Inserimento comunicazione A\n");
    insert("comunicazioni.txt",'A');
    
    printf("\n Es 4:  Inserimento comunicazione E\n");
    insert("comunicazioni.txt",'E');



    return 0;
}

