#ifndef esame4_manager_h
#define esame4_manager_h

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define DIM_COM 101
#define DIM_DESC 51
#define DIM_IND 51

typedef struct {
    int cod_condominio;
    int cap;
    char indirizzo[DIM_IND];
    int civico;
} Condomino;

typedef struct {
    int cod_condominio;
    char comunicazione[DIM_COM];
} ComA;

typedef struct {
    int cod_condominio;
    int importo;
    char descrizione[DIM_DESC];
    int aa;
    int mm;
    int gg;
} ComE;


Condomino* readCondomini(char* fileName, int *dim);
ComA* readComA(char* fileName, int *dim);
ComE* readComE(char* fileName, int *dim);

ComE* stampaCondominio(Condomino *c, int dimC, ComA *a, int dimA, ComE *e, int dimE);


#endif
